# Uses of Class
org.eclipse.birt.chart.event.StructureType

Packages that use StructureType
Package
Description
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.

## Uses of StructureType in org.eclipse.birt.chart.event

Fields in org.eclipse.birt.chart.event declared as StructureType
Modifier and Type
Field
Description
`static final StructureType`
StructureType.`AXIS`
Indicates an Axis structure type.
`static final StructureType`
StructureType.`AXIS_LABEL`
Indicates an Axis Label structure type.
`static final StructureType`
StructureType.`AXIS_TITLE`
Indicates an Axis Title structure type.
`static final StructureType`
StructureType.`CHART_BLOCK`
Indicates a Chart Block structure type.
`static final StructureType`
StructureType.`LEGEND`
Indicates a Legend structure type.
`static final StructureType`
StructureType.`LEGEND_ENTRY`
Indicates a Legend Entry structure type.
`static final StructureType`
StructureType.`LEGEND_TITLE`
Indicates a Legend Title structure type.
`static final StructureType`
StructureType.`MARKER_LINE`
Indicates a Marker Line structure type.
`static final StructureType`
StructureType.`MARKER_RANGE`
Indicates a Marker Range structure type.
`static final StructureType`
StructureType.`PLOT`
Indicates a Plot structure type.
`static final StructureType`
StructureType.`SERIES`
Indicates a Series structure type.
`static final StructureType`
StructureType.`SERIES_DATA_POINT`
Indicates a Series DataPoint structure type.
`static final StructureType`
StructureType.`SERIES_ELEMENT`
Indicates a Series Element structure type.
`static final StructureType`
StructureType.`SERIES_FITTING_CURVE`
Indicates a Series Fitting Curve structure type.
`static final StructureType`
StructureType.`SERIES_MARKER`
Indicates a Series Marker structure type.
`static final StructureType`
StructureType.`SERIES_TITLE`
Indicates a Series Title structure type.
`static final StructureType`
StructureType.`TITLE`
Indicates a Title structure type.
`static final StructureType`
StructureType.`UNKNOWN`
Indicates an Unknown structure type.
Methods in org.eclipse.birt.chart.event that return StructureType
Modifier and Type
Method
Description
`StructureType`
StructureSource.`getType()`
Returns the source type.
Constructors in org.eclipse.birt.chart.event with parameters of type StructureType
Modifier
Constructor
Description
``
`StructureSource(Object source, StructureType type)`
The constructor.
``
`WrappedStructureSource(Object source, StructureType type)`
The constructor.
``
`WrappedStructureSource(Object parentSource, StructureType parentType, Object source, StructureType type)`
The constructor.
``
`WrappedStructureSource(StructureSource parent, Object source, StructureType type)`
The constructor.